%global spec_ver 1.1
%global spec_name geronimo-annotation_%{spec_ver}_spec

Name:             geronimo-annotation
Version:          1.0
Release:          %mkrel 19
Group:            Development/Java
Summary:          Java EE: Annotation API v1.1
License:          ASL 2.0
URL:              http://geronimo.apache.org/

Source0:          http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{spec_name}/%{version}/%{spec_name}-%{version}-source-release.tar.gz
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    geronimo-parent-poms
BuildRequires:    maven-resources-plugin

Requires:         java-headless >= 1:1.6.0
Requires:         jpackage-utils

Provides:         annotation_api = %{spec_ver}

%description
This package defines the common annotations.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{spec_name}-%{version}
sed -i 's/\r//' LICENSE NOTICE
%pom_set_parent org.apache.geronimo.specs:specs:1.4

%mvn_alias : org.apache.geronimo.specs:geronimo-annotation_1.0_spec
%mvn_alias : javax.annotation:jsr250-api
%mvn_alias : org.eclipse.jetty.orbit:javax.annotation

%mvn_file : %{name} annotation

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.0-19.mga6
+ Revision: 982224
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0-18.mga6
+ Revision: 976261
- First rebuild of the java stack
- sync package geronimo-annotation with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-16.mga5
+ Revision: 746988
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 1.0-14.mga4
+ Revision: 564117
- Add javax.annotation:jsr250-api to depmap
- Add depmap for org.eclipse.jetty.orbit

* Sat Oct 19 2013 umeabot <umeabot> 1.0-13.mga4
+ Revision: 529845
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 1.0-12.mga4
+ Revision: 453744
- Build with xmvn

* Sat Jan 12 2013 umeabot <umeabot> 1.0-10.mga3
+ Revision: 351405
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 26 2012 dmorgan <dmorgan> 1.0-9.mga3
+ Revision: 263773
- Adapt to current guidelines

* Mon Jun 25 2012 dmorgan <dmorgan> 1.0-8.mga3
+ Revision: 263508
- Remove old macro

* Mon Jun 25 2012 dmorgan <dmorgan> 1.0-6.mga3
+ Revision: 263504
+ rebuild (emptylog)

* Tue Aug 02 2011 dmorgan <dmorgan> 1.0-5.mga2
+ Revision: 131297
- Clean spec file

* Tue Jul 19 2011 dmorgan <dmorgan> 1.0-4.mga2
+ Revision: 126333
- imported package geronimo-annotation


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 4 2010 Chris Spike <chris.spike@arcor.de> 1.0-3
- Added 'org.apache.geronimo.specs:geronimo-annotation_1.0_spec' to maven depmap

* Mon Jul 26 2010 Chris Spike <chris.spike@arcor.de> 1.0-2
- Fixed whitespace/tabs use
- Fixed wrong EOL encoding

* Sun Jul 18 2010 Chris Spike <chris.spike@arcor.de> 1.0-1
- Initial version of the package
